API Reference
GET Pages
List page analytics for the authenticated site.
GET Pages
GET https://api.faurya.com/api/v1/analytics/pages
List page breakdown analytics for the site attached to your API key. Requires Bearer Token authentication.
Example request
const response = await fetch("https://api.faurya.com/api/v1/analytics/pages", {
headers: {
Authorization: `Bearer ${process.env.FAURYA_API_KEY}`,
},
});
const result = await response.json();Query parameters
period(string):day,week,month,year, orall.startDateorstartAt(string): Custom range start. Must be used with an end date.endDateorendAt(string): Custom range end. Must be used with a start date.limit(number): Number of rows to return. Defaults to100, maximum100.offset(number): Number of rows to skip. Defaults to0.device,os,browser,path,country,city,utm,referrer,hostname,goal(string): Optional analytics filters.
Response
Each row includes page, visitors, goalVisitors, revenue, and optional query or params.
{
"status": "success",
"data": [
{
"page": "/pricing",
"visitors": 86,
"goalVisitors": 14,
"revenue": 199.99
}
],
"pagination": {
"limit": 100,
"offset": 0,
"total": 1,
"hasMore": false
}
}